[B001]Chemical Structure Search
Search chemical structures based on key information.
Only one of name, formula, inchi, smiles can be selected for one query. When inchi or smiles is selected, search_type must be populated.
Request Parameters
List of parameters supported by this API endpoint
| Name | Type | Example | Description |
|---|---|---|---|
| string | Aspirin | Common names of structure |
| string | C9H8O4 | Molecular formula |
| string | InChI=1S/C9H8O4/c1-6(10)13-8-5-3-2-4-7(8)9(11)12/h2-5H,1H3,(H,11,12) | Structure Inchi |
| string | CC(=O)OC1=CC=CC=C1C(O)=O | Structure Smiles |
| string | EXT | Structure search type, the default value is EXT. The option value is EXT, SIM, SUB which means Exact search, Similarity search, Substructure search. Only support inchi, smiles input. |
| number<float> | 0.5 | Minimum similar score for similarity search, valid for SIM search type only, 0.5 by default. |
| boolean | true | If include stereo isomers, valid for EXT, SUB search types only, true by default. |
| boolean | true | If include tautomers, valid for EXT, SUB search types only, true by default. |
| boolean | true | If include charge difference, valid for EXT, SUB search types only, true by default. |
| boolean | true | If include isotope difference, valid for EXT, SUB search types only, true by default. |
| boolean | true | If include radical difference, valid for EXT, SUB search types only, true by default. |
Required | integer<int32> | 1 | Page number. Current page number, start from 1. |
Required | integer<int32> | 10 | Page Size. Current page result size, not greater than 100. |
Response Schema
Structure of the API response data
| Field Name | Type | Example | Description |
|---|---|---|---|
data | object | - | response data |
total | integer<int64> | 100 | Total Structure Count |
results | array | Please check the form: OpenCompoundItem | Structure records |
inchi_key | string | BSYNRYMUTXBXSQ-UHFFFAOYSA-N | InchiKey |
similarity | number<float> | 0.98 | Similarity. Structure Similarity
Tanimoto structure similarity score
For similarity search only |
paper_count | integer<int32> | 20 | Related paper count |
patent_count | integer<int32> | 20 | Related patent count |
statusRequired | boolean | false | Status |
error_msg | string | The request parameter format is incorrect! | Error Message |
error_codeRequired | integer | 0 | Error Code |
Success Response Example
Example of a successful API response
JSON
{
"data": {
"total": 100,
"results": [
{
"inchi_key": "BSYNRYMUTXBXSQ-UHFFFAOYSA-N",
"similarity": 0.98,
"paper_count": 20,
"patent_count": 20
}
]
},
"status": true,
"error_code": 0
}Error Codes
List of possible error codes returned by this endpoint
Business Errors
| Error Code | Description |
|---|---|
68300004 | Invalid parameter! |
68300005 | Search api failure! |
68300006 | Analytic basic access error! |
68300007 | Bad request! |
68300008 | Service error, please try again later! |
68300010 | The file does not comply with upload specifications! |
Platform Errors
| Error Code | Description |
|---|---|
67200000 | API call exceeds the total limit set by the platform! |
67200001 | API call exceeds the total limit set by the platform! |
67200002 | The current call rate is too fast, exceeding the current configuration limit QPS! |
67200003 | The key and secret parameters for applying for the token are incorrect or the client has been disabled! |
67200004 | The requested api does not have permission. Please contact our support personnel! |
67200005 | Insufficient account balance/number of calls! |
67200006 | The client has exceeded the activation validity period! |
67200007 | The current call exceeds the configured usage limit of the day! |
67200008 | Please check if the required apikey in the query parameter has been transmitted! |
67200009 | The apikey does not match the passed bearerToken. Please check if a valid token is being used! |
67200012 | The request is illegal! |
67200100 | The current server status is busy, request response timeout! |
67200101 | The API requested currently does not exist. Please check the request path! |
HTTP Status Codes
| Status Code | Description |
|---|---|
0 | Success |
201 | Created |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |
50400001 | Invalid parameter. |
50404002 | Unable to find related records. |